libpagemaker::PMDXForm Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
libpagemaker::PMDXForm Struct Reference

`#include <geometry.h>`

## Public Member Functions
| PMDXForm (const uint32_t rotationDegree, const uint32_t skewDegree, const PMDShapePoint xformTopLeft, const PMDShapePoint xformBotRight, const PMDShapePoint rotatingPoint, const uint32_t xformId)

## Public Attributes
uint32_t | m_rotationDegree
uint32_t | m_skewDegree
PMDShapePoint | m_xformTopLeft
PMDShapePoint | m_xformBotRight
PMDShapePoint | m_rotatingPoint
uint32_t | m_xformId

## Constructor & Destructor Documentation

## ◆ PMDXForm()

libpagemaker::PMDXForm::PMDXForm | ( | const uint32_t | rotationDegree,
|  | const uint32_t | skewDegree,
|  | const PMDShapePoint | xformTopLeft,
|  | const PMDShapePoint | xformBotRight,
|  | const PMDShapePoint | rotatingPoint,
|  | const uint32_t | xformId )
| inline

## Member Data Documentation

## ◆ m_rotatingPoint

PMDShapePoint libpagemaker::PMDXForm::m_rotatingPoint

Referenced by libpagemaker::PMDBitmap::getRotatingPoint(), libpagemaker::PMDEllipse::getRotatingPoint(), libpagemaker::PMDPolygon::getRotatingPoint(), libpagemaker::PMDRectangle::getRotatingPoint(), and libpagemaker::PMDTextBox::getRotatingPoint().

## ◆ m_rotationDegree

uint32_t libpagemaker::PMDXForm::m_rotationDegree

Referenced by libpagemaker::PMDBitmap::getRotation(), libpagemaker::PMDEllipse::getRotation(), libpagemaker::PMDPolygon::getRotation(), libpagemaker::PMDRectangle::getRotation(), and libpagemaker::PMDTextBox::getRotation().

## ◆ m_skewDegree

uint32_t libpagemaker::PMDXForm::m_skewDegree

Referenced by libpagemaker::PMDBitmap::getSkew(), libpagemaker::PMDEllipse::getSkew(), libpagemaker::PMDPolygon::getSkew(), libpagemaker::PMDRectangle::getSkew(), and libpagemaker::PMDTextBox::getSkew().

## ◆ m_xformBotRight

PMDShapePoint libpagemaker::PMDXForm::m_xformBotRight

Referenced by libpagemaker::PMDBitmap::getXformBotRight(), libpagemaker::PMDEllipse::getXformBotRight(), libpagemaker::PMDPolygon::getXformBotRight(), libpagemaker::PMDRectangle::getXformBotRight(), and libpagemaker::PMDTextBox::getXformBotRight().

## ◆ m_xformId

uint32_t libpagemaker::PMDXForm::m_xformId

## ◆ m_xformTopLeft

PMDShapePoint libpagemaker::PMDXForm::m_xformTopLeft

Referenced by libpagemaker::PMDBitmap::getXformTopLeft(), libpagemaker::PMDEllipse::getXformTopLeft(), libpagemaker::PMDPolygon::getXformTopLeft(), libpagemaker::PMDRectangle::getXformTopLeft(), and libpagemaker::PMDTextBox::getXformTopLeft().

The documentation for this struct was generated from the following file:

- geometry.h